net.minecraft.entity.item

## Class EntityMinecartHopper

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.item.EntityMinecart
    - - net.minecraft.entity.item.EntityMinecartContainer
      - - net.minecraft.entity.item.EntityMinecartHopper

- All Implemented Interfaces:
    IInventory, Hopper

      public class EntityMinecartHopper
      extends EntityMinecartContainer
      implements Hopper

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.item.EntityMinecart

      `defaultDragAir, defaultMaxSpeedAirLateral, defaultMaxSpeedAirVertical`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityMinecartHopper(World par1World)`
    `EntityMinecartHopper(World par1World, double par2, double par4, double par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canTransfer()` Returns whether the hopper cart can currently transfer an item.
    `boolean` | `func_96112_aD()`
    `boolean` | `getBlocked()` Get whether this hopper minecart is being blocked by an activator rail.
    `Block` | `getDefaultDisplayTile()`
    `int` | `getDefaultDisplayTileOffset()`
    `int` | `getMinecartType()`
    `int` | `getSizeInventory()` Returns the number of slots in the inventory.
    `World` | `getWorldObj()` Returns the worldObj for this tileEntity.
    `double` | `getXPos()` Gets the world X position for this hopper entity.
    `double` | `getYPos()` Gets the world Y position for this hopper entity.
    `double` | `getZPos()` Gets the world Z position for this hopper entity.
    `boolean` | `interactFirst(EntityPlayer par1EntityPlayer)` First layer of player interaction
    `void` | `killMinecart(DamageSource par1DamageSource)`
    `void` | `onActivatorRailPass(int par1, int par2, int par3, boolean par4)` Called every tick the minecart is on an activator rail.
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `setBlocked(boolean par1)` Set whether this hopper minecart is being blocked by an activator rail.
    `void` | `setTransferTicker(int par1)` Sets the transfer ticker, used to determine the delay between transfers.

    - ### Methods inherited from class net.minecraft.entity.item.EntityMinecartContainer

      `closeChest, decrStackSize, getInventoryStackLimit, getInvName, getStackInSlot, getStackInSlotOnClosing, isItemValidForSlot, isUseableByPlayer, onInventoryChanged, openChest, setDead, setInventorySlotContents, travelToDimension`

    - ### Methods inherited from class net.minecraft.entity.item.EntityMinecart

      `applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canBeRidden, canUseRail, createMinecart, func_70489_a, func_70495_a, func_95999_t, getBoundingBox, getCartItem, getCollisionBox, getCollisionHandler, getCurrentCartSpeedCapOnRail, getDamage, getDefaultDisplayTileData, getDisplayTile, getDisplayTileData, getDisplayTileOffset, getDragAir, getEntityName, getMaxCartSpeedOnRail, getMaxSpeedAirLateral, getMaxSpeedAirVertical, getMountedYOffset, getRollingAmplitude, getRollingDirection, getShadowSize, getSlopeAdjustment, hasDisplayTile, isInvNameLocalized, isPoweredCart, moveMinecartOnRail, performHurtAnimation, setCanUseRail, setCollisionHandler, setCurrentCartSpeedCapOnRail, setDamage, setDisplayTile, setDisplayTileData, setDisplayTileOffset, setDragAir, setHasDisplayTile, setMaxSpeedAirLateral, setMaxSpeedAirVertical, setMinecartName, setPositionAndRotation2, setRollingAmplitude, setRollingDirection, setVelocity, shouldDoRailFunctions`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBlockExplosionResistance, getBrightness, getBrightnessForRender, getCollisionBorderSize, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getTeleportDirection, getTranslatedEntityName, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setEating, setFire, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setRotationYawHead, setSneaking, setSprinting, setWorld, shouldDismountInWater, shouldExplodeBlock, shouldRenderInPass, shouldRiderSit, toString, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.inventory.IInventory

      `closeChest, decrStackSize, getInventoryStackLimit, getInvName, getStackInSlot, getStackInSlotOnClosing, isInvNameLocalized, isItemValidForSlot, isUseableByPlayer, onInventoryChanged, openChest, setInventorySlotContents`

- - ### Constructor Detail

    - #### EntityMinecartHopper

          public EntityMinecartHopper(World par1World)

    - #### EntityMinecartHopper

          public EntityMinecartHopper(World par1World,
                              double par2,
                              double par4,
                              double par6)

  - ### Method Detail

    - #### getMinecartType

          public int getMinecartType()

      Specified by:
        `getMinecartType` in class `EntityMinecart`

    - #### getDefaultDisplayTile

          public Block getDefaultDisplayTile()

      Overrides:
        `getDefaultDisplayTile` in class `EntityMinecart`

    - #### getDefaultDisplayTileOffset

          public int getDefaultDisplayTileOffset()

      Overrides:
        `getDefaultDisplayTileOffset` in class `EntityMinecart`

    - #### getSizeInventory

          public int getSizeInventory()

      Returns the number of slots in the inventory.
      Specified by:
        `getSizeInventory` in interface `IInventory`

    - #### interactFirst

          public boolean interactFirst(EntityPlayer par1EntityPlayer)

      First layer of player interaction
      Overrides:
        `interactFirst` in class `EntityMinecartContainer`

    - #### onActivatorRailPass

          public void onActivatorRailPass(int par1,
                                 int par2,
                                 int par3,
                                 boolean par4)

      Called every tick the minecart is on an activator rail.
      Overrides:
        `onActivatorRailPass` in class `EntityMinecart`

    - #### getBlocked

          public boolean getBlocked()

      Get whether this hopper minecart is being blocked by an activator rail.

    - #### setBlocked

          public void setBlocked(boolean par1)

      Set whether this hopper minecart is being blocked by an activator rail.

    - #### getWorldObj

          public World getWorldObj()

      Returns the worldObj for this tileEntity.
      Specified by:
        `getWorldObj` in interface `Hopper`

    - #### getXPos

          public double getXPos()

      Gets the world X position for this hopper entity.
      Specified by:
        `getXPos` in interface `Hopper`

    - #### getYPos

          public double getYPos()

      Gets the world Y position for this hopper entity.
      Specified by:
        `getYPos` in interface `Hopper`

    - #### getZPos

          public double getZPos()

      Gets the world Z position for this hopper entity.
      Specified by:
        `getZPos` in interface `Hopper`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityMinecart`

    - #### func_96112_aD

          public boolean func_96112_aD()

    - #### killMinecart

          public void killMinecart(DamageSource par1DamageSource)

      Overrides:
        `killMinecart` in class `EntityMinecartContainer`

    - #### setTransferTicker

          public void setTransferTicker(int par1)

      Sets the transfer ticker, used to determine the delay between transfers.

    - #### canTransfer

          public boolean canTransfer()

      Returns whether the hopper cart can currently transfer an item.